There is no dedicated installer for developers. As a developer you are expected to build your own installer. :wink:

These steps to get you up and running are *(Choose according to your operating system.)*:

- Make sure your build system is working as explained in the [:octicons-checklist-16: developer prerequisites](../developer/build-environment/windows.md).
- Ensure you have [:octicons-repo-clone-16: cloned all repositories](../developer/get-source-code.md)
- Follow the [:simple-cmake: build instructions](../developer/build/general.md) to build the tools. Also check out the [:material-library: libraries](../developer/including-libraries.md) and the [CMake Preset](../developer/cmake-presets.md) explanation.
- Make yourself acquainted with the [style guides](../developer/style/cpp.md).
- Read about the [module structures](../developer/style/cpp-modularization.md) to learn about the strategy patterns.
- Learn about the [:material-test-tube-empty: testing procedures](../developer/testing.md).
- Read the [contribution instruction](../developer/contribute.md) to understand the process.

Now you are ready to contribute :material-file-code: !

In case you need tips on how to set up your IDE, check [here](../developer/ide-setup.md).

Relevant for UNICADO owners only: here it is explained how to create the [UNICADO release package](../developer/release-package.md) :material-white-balance-incandescent: