---
title: Welcome to UNICADO
summary: Home page of the UNICADO project
authors:
    - Sebastian Oberschwendtner
    - Kristina Mazur
date: 2024-11-05
glightbox: false
hide:
  - navigation
  - toc
---

<div class="hero-section" markdown="1">
![banner](assets/images/logos/unicado.png){.hero-logo}
# Think. Design. Change.

<div class="intro-text" markdown="1">
**UNICADO** is a conceptual aircraft design environment. It provides a _robust framework_ for designing, analyzing and optimizing aircraft based on a minimum set of requirements. Developed in collaboration with _leading German aerospace universities_, it enables designers to define and size an aircraft's geometry, analyse performance and feasibility while balancing aerodynamic, operational and user-specific requirements. Its _modular architecture_ allows for easy customization and adaptability, enabling users to integrate new tools or methods.
</div>
<div class="download-button-container">
    <a href="download/getting-started" class="download-button">Download UNICADO</a>
</div>
</div>

<div class="grid-container" markdown="1">
<div class="grid-item card" markdown="1">
:material-clock-fast:{ .lg .accent } **Getting Started**

---

Learn how to set it up & install the prerequisites.

[:octicons-arrow-right-24: Download](download/getting-started.md)
</div>

<div class="grid-item card" markdown="1">
:octicons-book-16:{ .lg .accent } **Ready to design**

---

Design your first aircraft.

[:octicons-arrow-right-24: Tutorials](tutorials/standalone.md)
</div>

<div class="grid-item card" markdown="1">
:material-library:{ .lg .accent } **Available Tools**

---

Get an overview of the tools and libraries.

[:octicons-arrow-right-24: Documentation](documentation/overview.md)
</div>

<div class="grid-item card" markdown="1">
:fontawesome-solid-plane-departure:{ .lg .accent } **Cleared to develop**

---

Get insights on how to contribute and develop.

[:octicons-arrow-right-24: Get involved](developer/developer-installation.md)
</div>

<div class="grid-item card" markdown="1">
:fontawesome-solid-user-group:{ .lg .accent } **About us**

---

Read about who is behind it.

[:octicons-arrow-right-24: About](about.md)
</div>

<div class="grid-item card" markdown="1">
:material-scale-balance:{ .lg .accent } **Open Source**

---

**UNICADO** is available as open-source software licensed under **GPLv3**.

[:octicons-arrow-right-24: License](license.md)
</div>
</div>

